diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/traffic-control/queue-discs-benchmark.cc ns-3.31/examples/traffic-control/queue-discs-benchmark.cc
--- ns-3.30.1/examples/traffic-control/queue-discs-benchmark.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/traffic-control/queue-discs-benchmark.cc	2020-06-27 17:38:30.000000000 -0700
@@ -109,7 +109,7 @@
   float simDuration = 60;
   float samplingPeriod = 1;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("bandwidth", "Bottleneck bandwidth", bandwidth);
   cmd.AddValue ("delay", "Bottleneck delay", delay);
   cmd.AddValue ("queueDiscType", "Bottleneck queue disc type in {PfifoFast, ARED, CoDel, FqCoDel, PIE, prio}", queueDiscType);
@@ -135,10 +135,12 @@
   PointToPointHelper accessLink;
   accessLink.SetDeviceAttribute ("DataRate", StringValue ("100Mbps"));
   accessLink.SetChannelAttribute ("Delay", StringValue ("0.1ms"));
+  accessLink.SetQueue ("ns3::DropTailQueue", "MaxSize", StringValue ("100p"));
 
   PointToPointHelper bottleneckLink;
   bottleneckLink.SetDeviceAttribute ("DataRate", StringValue (bandwidth));
   bottleneckLink.SetChannelAttribute ("Delay", StringValue (delay));
+  bottleneckLink.SetQueue ("ns3::DropTailQueue", "MaxSize", StringValue (std::to_string (netdevicesQueueSize) + "p"));
 
   InternetStackHelper stack;
   stack.InstallAll ();
@@ -198,8 +200,6 @@
       tchBottleneck.SetQueueLimits ("ns3::DynamicQueueLimits");
     }
 
-  Config::SetDefault ("ns3::QueueBase::MaxSize", StringValue ("100p"));
-
   NetDeviceContainer devicesAccessLink = accessLink.Install (n1.Get (0), n2.Get (0));
   tchPfifoFastAccess.Install (devicesAccessLink);
   Ipv4AddressHelper address;
@@ -207,8 +207,6 @@
   address.NewNetwork ();
   Ipv4InterfaceContainer interfacesAccess = address.Assign (devicesAccessLink);
 
-  Config::SetDefault ("ns3::QueueBase::MaxSize", StringValue (std::to_string (netdevicesQueueSize) + "p"));
-
   NetDeviceContainer devicesBottleneckLink = bottleneckLink.Install (n2.Get (0), n3.Get (0));
   QueueDiscContainer qdiscs;
   qdiscs = tchBottleneck.Install (devicesBottleneckLink);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/traffic-control/red-vs-fengadaptive.cc ns-3.31/examples/traffic-control/red-vs-fengadaptive.cc
--- ns-3.30.1/examples/traffic-control/red-vs-fengadaptive.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/traffic-control/red-vs-fengadaptive.cc	2020-06-27 17:38:30.000000000 -0700
@@ -48,14 +48,14 @@
   std::string bottleNeckLinkBw = "1Mbps";
   std::string bottleNeckLinkDelay = "50ms";
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("nLeaf", "Number of left and right side leaf nodes", nLeaf);
   cmd.AddValue ("maxPackets","Max Packets allowed in the device queue", maxPackets);
   cmd.AddValue ("queueDiscLimitPackets","Max Packets allowed in the queue disc", queueDiscLimitPackets);
   cmd.AddValue ("queueDiscType", "Set Queue disc type to RED or FengAdaptive", queueDiscType);
   cmd.AddValue ("appPktSize", "Set OnOff App Packet Size", pktSize);
   cmd.AddValue ("appDataRate", "Set OnOff App DataRate", appDataRate);
-  cmd.AddValue ("modeBytes", "Set Queue disc mode to Packets <false> or bytes <true>", modeBytes);
+  cmd.AddValue ("modeBytes", "Set Queue disc mode to Packets (false) or bytes (true)", modeBytes);
 
   cmd.AddValue ("redMinTh", "RED queue minimum threshold", minTh);
   cmd.AddValue ("redMaxTh", "RED queue maximum threshold", maxTh);
@@ -70,7 +70,7 @@
   Config::SetDefault ("ns3::OnOffApplication::PacketSize", UintegerValue (pktSize));
   Config::SetDefault ("ns3::OnOffApplication::DataRate", StringValue (appDataRate));
 
-  Config::SetDefault ("ns3::QueueBase::MaxSize",
+  Config::SetDefault ("ns3::DropTailQueue<Packet>::MaxSize",
                       QueueSizeValue (QueueSize (QueueSizeUnit::PACKETS, maxPackets)));
 
   if (!modeBytes)
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/traffic-control/red-vs-nlred.cc ns-3.31/examples/traffic-control/red-vs-nlred.cc
--- ns-3.30.1/examples/traffic-control/red-vs-nlred.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/traffic-control/red-vs-nlred.cc	2020-06-27 17:38:30.000000000 -0700
@@ -50,14 +50,14 @@
   std::string bottleNeckLinkBw = "1Mbps";
   std::string bottleNeckLinkDelay = "50ms";
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("nLeaf",     "Number of left and right side leaf nodes", nLeaf);
   cmd.AddValue ("maxPackets","Max Packets allowed in the device queue", maxPackets);
   cmd.AddValue ("queueDiscLimitPackets","Max Packets allowed in the queue disc", queueDiscLimitPackets);
   cmd.AddValue ("queueDiscType", "Set Queue disc type to RED or NLRED", queueDiscType);
   cmd.AddValue ("appPktSize", "Set OnOff App Packet Size", pktSize);
   cmd.AddValue ("appDataRate", "Set OnOff App DataRate", appDataRate);
-  cmd.AddValue ("modeBytes", "Set Queue disc mode to Packets <false> or bytes <true>", modeBytes);
+  cmd.AddValue ("modeBytes", "Set Queue disc mode to Packets (false) or bytes (true)", modeBytes);
 
   cmd.AddValue ("redMinTh", "RED queue minimum threshold", minTh);
   cmd.AddValue ("redMaxTh", "RED queue maximum threshold", maxTh);
@@ -72,7 +72,7 @@
   Config::SetDefault ("ns3::OnOffApplication::PacketSize", UintegerValue (pktSize));
   Config::SetDefault ("ns3::OnOffApplication::DataRate", StringValue (appDataRate));
 
-  Config::SetDefault ("ns3::QueueBase::MaxSize",
+  Config::SetDefault ("ns3::DropTailQueue<Packet>::MaxSize",
                       QueueSizeValue (QueueSize (QueueSizeUnit::PACKETS, maxPackets)));
 
   if (!modeBytes)
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/traffic-control/tbf-example.cc ns-3.31/examples/traffic-control/tbf-example.cc
--- ns-3.30.1/examples/traffic-control/tbf-example.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/traffic-control/tbf-example.cc	2020-06-27 17:38:30.000000000 -0700
@@ -73,7 +73,7 @@
   DataRate rate = DataRate ("1Mbps");
   DataRate peakRate = DataRate ("0bps");
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("burst", "Size of first bucket in bytes", burst);
   cmd.AddValue ("mtu", "Size of second bucket in bytes", mtu);
   cmd.AddValue ("rate", "Rate of tokens arriving in first bucket", rate);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/traffic-control/traffic-control.cc ns-3.31/examples/traffic-control/traffic-control.cc
--- ns-3.30.1/examples/traffic-control/traffic-control.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/traffic-control/traffic-control.cc	2020-06-27 17:38:30.000000000 -0700
@@ -91,7 +91,7 @@
   std::string transportProt = "Tcp";
   std::string socketType;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("transportProt", "Transport protocol to use: Tcp, Udp", transportProt);
   cmd.Parse (argc, argv);
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/fifth.cc ns-3.31/examples/tutorial/fifth.cc
--- ns-3.30.1/examples/tutorial/fifth.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/fifth.cc	2020-06-27 17:38:30.000000000 -0700
@@ -175,7 +175,7 @@
 int 
 main (int argc, char *argv[])
 {
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
   
   NodeContainer nodes;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/first.cc ns-3.31/examples/tutorial/first.cc
--- ns-3.30.1/examples/tutorial/first.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/first.cc	2020-06-27 17:38:30.000000000 -0700
@@ -20,6 +20,13 @@
 #include "ns3/point-to-point-module.h"
 #include "ns3/applications-module.h"
 
+// Default Network Topology
+//
+//       10.1.1.0
+// n0 -------------- n1
+//    point-to-point
+//
+ 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE ("FirstScriptExample");
@@ -27,7 +34,7 @@
 int
 main (int argc, char *argv[])
 {
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
   
   Time::SetResolution (Time::NS);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/first.py ns-3.31/examples/tutorial/first.py
--- ns-3.30.1/examples/tutorial/first.py	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/first.py	2020-06-27 17:38:30.000000000 -0700
@@ -19,6 +19,13 @@
 import ns.network
 import ns.point_to_point
 
+# // Default Network Topology
+# //
+# //       10.1.1.0
+# // n0 -------------- n1
+# //    point-to-point
+# //
+
 ns.core.LogComponentEnable("UdpEchoClientApplication", ns.core.LOG_LEVEL_INFO)
 ns.core.LogComponentEnable("UdpEchoServerApplication", ns.core.LOG_LEVEL_INFO)
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/second.cc ns-3.31/examples/tutorial/second.cc
--- ns-3.30.1/examples/tutorial/second.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/second.cc	2020-06-27 17:38:30.000000000 -0700
@@ -41,7 +41,7 @@
   bool verbose = true;
   uint32_t nCsma = 3;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("nCsma", "Number of \"extra\" CSMA nodes/devices", nCsma);
   cmd.AddValue ("verbose", "Tell echo applications to log if true", verbose);
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/seventh.cc ns-3.31/examples/tutorial/seventh.cc
--- ns-3.30.1/examples/tutorial/seventh.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/seventh.cc	2020-06-27 17:38:30.000000000 -0700
@@ -202,7 +202,7 @@
 {
   bool useV6 = false;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("useIpv6", "Use Ipv6", useV6);
   cmd.Parse (argc, argv);
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/sixth.cc ns-3.31/examples/tutorial/sixth.cc
--- ns-3.30.1/examples/tutorial/sixth.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/sixth.cc	2020-06-27 17:38:30.000000000 -0700
@@ -192,7 +192,7 @@
 int
 main (int argc, char *argv[])
 {
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
   
   NodeContainer nodes;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/third.cc ns-3.31/examples/tutorial/third.cc
--- ns-3.30.1/examples/tutorial/third.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/third.cc	2020-06-27 17:38:30.000000000 -0700
@@ -47,7 +47,7 @@
   uint32_t nWifi = 3;
   bool tracing = false;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("nCsma", "Number of \"extra\" CSMA nodes/devices", nCsma);
   cmd.AddValue ("nWifi", "Number of wifi STA devices", nWifi);
   cmd.AddValue ("verbose", "Tell echo applications to log if true", verbose);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/tutorial/third.py ns-3.31/examples/tutorial/third.py
--- ns-3.30.1/examples/tutorial/third.py	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/tutorial/third.py	2020-06-27 17:38:30.000000000 -0700
@@ -41,18 +41,25 @@
 cmd.nCsma = 3
 cmd.verbose = "True"
 cmd.nWifi = 3
+cmd.tracing = "False"
+
 cmd.AddValue("nCsma", "Number of \"extra\" CSMA nodes/devices")
 cmd.AddValue("nWifi", "Number of wifi STA devices")
 cmd.AddValue("verbose", "Tell echo applications to log if true")
+cmd.AddValue("tracing", "Enable pcap tracing")
 
 cmd.Parse(sys.argv)
 
 nCsma = int(cmd.nCsma)
 verbose = cmd.verbose
 nWifi = int(cmd.nWifi)
+tracing = cmd.tracing
 
+# The underlying restriction of 18 is due to the grid position
+# allocator's configuration; the grid layout will exceed the
+# bounding box if more than 18 nodes are provided.
 if nWifi > 18:
-	print ("Number of wifi nodes "+ str(nWifi)+ " specified exceeds the mobility bounding box")
+	print ("nWifi should be 18 or less; otherwise grid layout exceeds the bounding box")
 	sys.exit(1)
 
 if verbose == "True":
@@ -144,9 +151,10 @@
 
 ns.core.Simulator.Stop(ns.core.Seconds(10.0))
 
-pointToPoint.EnablePcapAll ("third")
-phy.EnablePcap ("third", apDevices.Get (0))
-csma.EnablePcap ("third", csmaDevices.Get (0), True)
+if tracing == "True":
+	pointToPoint.EnablePcapAll ("third")
+	phy.EnablePcap ("third", apDevices.Get (0))
+	csma.EnablePcap ("third", csmaDevices.Get (0), True)
 
 ns.core.Simulator.Run()
 ns.core.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/udp/udp-echo.cc ns-3.31/examples/udp/udp-echo.cc
--- ns-3.30.1/examples/udp/udp-echo.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/udp/udp-echo.cc	2020-06-27 17:38:30.000000000 -0700
@@ -54,7 +54,7 @@
   bool useV6 = false;
   Address serverAddress;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("useIpv6", "Use Ipv6", useV6);
   cmd.Parse (argc, argv);
 //
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/udp-client-server/udp-client-server.cc ns-3.31/examples/udp-client-server/udp-client-server.cc
--- ns-3.30.1/examples/udp-client-server/udp-client-server.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/udp-client-server/udp-client-server.cc	2020-06-27 17:38:30.000000000 -0700
@@ -45,7 +45,7 @@
   bool useV6 = false;
   Address serverAddress;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("useIpv6", "Use Ipv6", useV6);
   cmd.Parse (argc, argv);
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/udp-client-server/udp-trace-client-server.cc ns-3.31/examples/udp-client-server/udp-trace-client-server.cc
--- ns-3.30.1/examples/udp-client-server/udp-trace-client-server.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/udp-client-server/udp-trace-client-server.cc	2020-06-27 17:38:30.000000000 -0700
@@ -45,7 +45,7 @@
   bool useV6 = false;
   Address serverAddress;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("useIpv6", "Use Ipv6", useV6);
   cmd.Parse (argc, argv);
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/wireless/examples-to-run.py ns-3.31/examples/wireless/examples-to-run.py
--- ns-3.30.1/examples/wireless/examples-to-run.py	2019-08-12 16:43:20.000000000 -0700
+++ ns-3.31/examples/wireless/examples-to-run.py	2020-06-27 17:38:30.000000000 -0700
@@ -9,13 +9,13 @@
 # See test.py for more information.
 cpp_examples = [
     ("mixed-wired-wireless", "True", "True"),
-    ("multirate --totalTime=0.3s --rateManager=ns3::AarfcdWifiManager", "True", "True"), 
-    ("multirate --totalTime=0.3s --rateManager=ns3::AmrrWifiManager", "True", "False"), 
-    ("multirate --totalTime=0.3s --rateManager=ns3::CaraWifiManager", "True", "False"), 
-    ("multirate --totalTime=0.3s --rateManager=ns3::IdealWifiManager", "True", "False"), 
-    ("multirate --totalTime=0.3s --rateManager=ns3::MinstrelWifiManager", "True", "False"), 
-    ("multirate --totalTime=0.3s --rateManager=ns3::OnoeWifiManager", "True", "False"), 
-    ("multirate --totalTime=0.3s --rateManager=ns3::RraaWifiManager", "True", "False"), 
+    ("wifi-multirate --totalTime=0.3s --rateManager=ns3::AarfcdWifiManager", "True", "True"),
+    ("wifi-multirate --totalTime=0.3s --rateManager=ns3::AmrrWifiManager", "True", "False"),
+    ("wifi-multirate --totalTime=0.3s --rateManager=ns3::CaraWifiManager", "True", "False"),
+    ("wifi-multirate --totalTime=0.3s --rateManager=ns3::IdealWifiManager", "True", "False"),
+    ("wifi-multirate --totalTime=0.3s --rateManager=ns3::MinstrelWifiManager", "True", "False"),
+    ("wifi-multirate --totalTime=0.3s --rateManager=ns3::OnoeWifiManager", "True", "False"),
+    ("wifi-multirate --totalTime=0.3s --rateManager=ns3::RraaWifiManager", "True", "False"),
     ("wifi-adhoc", "False", "True"), # Takes too long to run
     ("wifi-ap --verbose=0", "True", "True"), # Don't let it spew to stdout
     ("wifi-clear-channel-cmu", "False", "True"), # Requires specific hardware
@@ -27,33 +27,33 @@
     ("wifi-sleep", "True", "True"),
     ("wifi-blockack", "True", "True"),
     ("wifi-timing-attributes --simulationTime=1", "True", "True"),
-    ("power-adaptation-distance --manager=ns3::ParfWifiManager --outputFileName=parf --steps=5 --stepsSize=10", "True", "True"),
-    ("power-adaptation-distance --manager=ns3::AparfWifiManager --outputFileName=aparf --steps=5 --stepsSize=10", "True", "False"),
-    ("power-adaptation-distance --manager=ns3::RrpaaWifiManager --outputFileName=rrpaa --steps=5 --stepsSize=10", "True", "False"),
-    ("power-adaptation-interference --simuTime=5", "True", "False"),
-    ("dsss-validation", "True", "True"),
-    ("ofdm-validation", "True", "True"),
-    ("ofdm-ht-validation", "True", "True"),
-    ("ofdm-vht-validation", "True", "True"),
-    ("ofdm-he-validation", "True", "True"),
-    ("80211n-mimo --simulationTime=0.1 --step=10", "True", "True"),
-    ("ht-wifi-network --simulationTime=0.2 --frequency=5 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=134", "True", "True"),
-    ("ht-wifi-network --simulationTime=0.2 --frequency=5 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=129", "True", "True"),
-    ("ht-wifi-network --simulationTime=0.2 --frequency=2.4 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=132", "True", "True"),
-    ("ht-wifi-network --simulationTime=0.2 --frequency=2.4 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=127", "True", "True"),
-    ("vht-wifi-network --simulationTime=0.2 --useRts=0  --minExpectedThroughput=5 --maxExpectedThroughput=562", "True", "True"),
-    ("vht-wifi-network --simulationTime=0.2 --useRts=1  --minExpectedThroughput=5 --maxExpectedThroughput=520", "True", "True"),
-    ("he-wifi-network --simulationTime=0.25 --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=844", "True", "True"),
-    ("he-wifi-network --simulationTime=0.3 --frequency=5 --useRts=0 --useExtendedBlockAck=1 --minExpectedThroughput=6 --maxExpectedThroughput=1033", "True", "True"),
-    ("he-wifi-network --simulationTime=0.3 --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=745", "True", "True"),
-    ("he-wifi-network --simulationTime=0.25 --frequency=2.4 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=238", "True", "True"),
-    ("he-wifi-network --simulationTime=0.3 --frequency=2.4 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=223", "True", "True"),
-    ("simple-ht-hidden-stations --simulationTime=1.5 --enableRts=0 --nMpdus=32 --minExpectedThroughput=59 --maxExpectedThroughput=60", "True", "True"),
-    ("simple-ht-hidden-stations --simulationTime=1 --enableRts=1 --nMpdus=32 --minExpectedThroughput=57 --maxExpectedThroughput=58", "True", "True"),
-    ("mixed-network --simulationTime=1", "True", "True"),
+    ("wifi-power-adaptation-distance --manager=ns3::ParfWifiManager --outputFileName=parf --steps=5 --stepsSize=10", "True", "True"),
+    ("wifi-power-adaptation-distance --manager=ns3::AparfWifiManager --outputFileName=aparf --steps=5 --stepsSize=10", "True", "False"),
+    ("wifi-power-adaptation-distance --manager=ns3::RrpaaWifiManager --outputFileName=rrpaa --steps=5 --stepsSize=10", "True", "False"),
+    ("wifi-power-adaptation-interference --simuTime=5", "True", "False"),
+    ("wifi-dsss-validation", "True", "True"),
+    ("wifi-ofdm-validation", "True", "True"),
+    ("wifi-ofdm-ht-validation", "True", "True"),
+    ("wifi-ofdm-vht-validation", "True", "True"),
+    ("wifi-ofdm-he-validation", "True", "True"),
+    ("wifi-80211n-mimo --simulationTime=0.1 --step=10", "True", "True"),
+    ("wifi-ht-network --simulationTime=0.2 --frequency=5 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=134", "True", "True"),
+    ("wifi-ht-network --simulationTime=0.2 --frequency=5 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=129", "True", "True"),
+    ("wifi-ht-network --simulationTime=0.2 --frequency=2.4 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=132", "True", "True"),
+    ("wifi-ht-network --simulationTime=0.2 --frequency=2.4 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=127", "True", "True"),
+    ("wifi-vht-network --simulationTime=0.2 --useRts=0  --minExpectedThroughput=5 --maxExpectedThroughput=562", "True", "True"),
+    ("wifi-vht-network --simulationTime=0.2 --useRts=1  --minExpectedThroughput=5 --maxExpectedThroughput=524", "True", "True"),
+    ("wifi-he-network --simulationTime=0.25 --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=844", "True", "True"),
+    ("wifi-he-network --simulationTime=0.3 --frequency=5 --useRts=0 --useExtendedBlockAck=1 --minExpectedThroughput=6 --maxExpectedThroughput=1033", "True", "True"),
+    ("wifi-he-network --simulationTime=0.3 --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=745", "True", "True"),
+    ("wifi-he-network --simulationTime=0.25 --frequency=2.4 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=238", "True", "True"),
+    ("wifi-he-network --simulationTime=0.3 --frequency=2.4 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=223", "True", "True"),
+    ("wifi-simple-ht-hidden-stations --simulationTime=1 --enableRts=0 --nMpdus=32 --minExpectedThroughput=59 --maxExpectedThroughput=60", "True", "True"),
+    ("wifi-simple-ht-hidden-stations --simulationTime=1 --enableRts=1 --nMpdus=32 --minExpectedThroughput=55 --maxExpectedThroughput=56", "True", "True"),
+    ("wifi-mixed-network --simulationTime=1", "True", "True"),
     ("wifi-aggregation --simulationTime=1 --verifyResults=1", "True", "True"),
     ("wifi-txop-aggregation --simulationTime=1 --verifyResults=1", "True", "True"),
-    ("80211e-txop --simulationTime=1 --verifyResults=1", "True", "True"),
+    ("wifi-80211e-txop --simulationTime=1 --verifyResults=1", "True", "True"),
     ("wifi-multi-tos --simulationTime=1 --nWifi=16 --useRts=1 --useShortGuardInterval=1", "True", "True"),
     ("wifi-tcp", "True", "True"),
     ("wifi-pcf --simulationTime=1 --withData=0", "True", "True"),
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/examples/wireless/mixed-wired-wireless.cc ns-3.31/examples/wireless/mixed-wired-wireless.cc
--- ns-3.30.1/examples/wireless/mixed-wired-wireless.cc	2019-08-12 16:30:33.000000000 -0700
+++ ns-3.31/examples/wireless/mixed-wired-wireless.cc	2020-06-27 17:38:30.000000000 -0700
@@ -116,7 +116,7 @@
   // system so that they can be overridden with flags such as
   // "--backboneNodes=20"
   //
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("backboneNodes", "number of backbone nodes", backboneNodes);
   cmd.AddValue ("infraNodes", "number of leaf nodes", infraNodes);
   cmd.AddValue ("lanNodes", "number of LAN nodes", lanNodes);
